﻿using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;
using WhiteRepositoryExplorer.Messeges;
using Xceed.Wpf.Toolkit;

namespace WhiteRepositoryExplorer.ViewModel
{
    /// <summary>
    /// This class contains properties that a View can data bind to.
    /// <para>
    /// Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
    /// </para>
    /// <para>
    /// You can also use Blend to data bind with the tool's support.
    /// </para>
    /// <para>
    /// See http://www.galasoft.ch/mvvm/getstarted
    /// </para>
    /// </summary>
    public class AboutWindowViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the AboutWindowViewModel class.
        /// </summary>
        public AboutWindowViewModel()
        {

        }

        private ICommand _okCommand;

        public ICommand OkCommand
        {
            get { return _okCommand ?? (_okCommand = new RelayCommand(OkCommandExecute)); }
        }

        private void OkCommandExecute()
        {
            Messenger.Default.Send(new HideAboutWindowMessage());
        }
    }
}